<template>
  <div>
    <h1 class="mb-6">What was your last blood pressure reading?</h1>
    <div class="bg-white rounded-lg p-5 text-center mb-10">
      <p class="uppercase text-xs mb-8">Example reading</p>
      <div class="text-base grid grid-cols-3 border-b border-grey-darker pb-5 items-center">
        <div class="text-grey-dark">Systolic</div>
        <div class="text-3xl font-bold">116</div>
        <div class="text-grey-dark">mmHg</div>
      </div>
      <div class="text-base grid grid-cols-3 pt-5 items-center">
        <div class="text-grey-dark">Diatolic</div>
        <div class="text-3xl font-bold">71</div>
        <div class="text-grey-dark">mmHg</div>
      </div>
    </div>
    <p class="text-xs uppercase mb-3">SYSTOLIC</p>
    <div class="h1 mb-6">What was the top number?</div>
    <div class="space-y-3 mb-10">
      <radio-input
        v-for="choice in systolicChoices"
        :key="choice.value"
        :input-value="choice.value"
        v-model="selected.systolic"
      >
        <div class="choice text-base">
          <span>{{ choice.value }}</span>
          <span class="text-grey-dark">{{ choice.type }}</span>
        </div>
      </radio-input>
    </div>
    <p class="text-xs uppercase mb-3">DIASTOLIC</p>
    <div class="h1 mb-6">What was the bottom number?</div>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in diastolicChoices"
        :key="choice.value"
        :input-value="choice.value"
        v-model="selected.diastolic"
      >
        <div class="choice text-base">
          <span>{{ choice.value }}</span>
          <span class="text-grey-dark">{{ choice.type }}</span>
        </div>
      </radio-input>
    </div>
    <CommonBtn
      class="mb-3"
      :disabled="!selected.systolic || !selected.diastolic"
      text="Next"
      @click="$emit('nextStage')"
    />
    <p class="text-base">It is essential that you are accurate and honest about your blood pressure.</p>
  </div>
</template>

<script>
import RadioInput from "@/components/inputs/RadioInput";
import CommonBtn from "@/components/common/CommonBtn";
import {answersMixin} from "@/utils/mixins";
export default {
  mixins: [answersMixin],
  name: "YourHealth15",
  components: {CommonBtn, RadioInput},
  watch: {
    selected: {
      handler(newVal) {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_15')
      },
      deep: true
    }
  },
  data() {
    return {
      systolicChoices: [
        {value: 'Less than 90', type: 'Low'},
        {value: '90-139', type: 'Normal'},
        {value: '140-169', type: 'Elevated'},
        {value: '170 or higher', type: 'High'},
      ],
      diastolicChoices: [
        {value: 'Less than 50', type: 'Low'},
        {value: '50-80', type: 'Normal'},
        {value: '81-99', type: 'Elevated'},
        {value: '100 or higher', type: 'High'},
      ],
      selected: {
        systolic: null,
        diastolic: null,
      }
    }
  }
}
</script>

<style scoped>
.choice {
  @apply flex justify-between items-center
}
</style>
